package Lambda;

public class Test {

	public static void main(String[] args) {
		Lambda normal = new Lambda() {
			@Override
			public void tueetwas(String name) {
				System.out.println(name + " Hallo Welt");
			}
		};
		normal.tueetwas("Obai sagt: ");
		
		/*
		 * lambd Prinzip verweden:
		 *  - () = Parameter der Methode 
		 *  - -> die implementierung der Methode
		 */
		//ohne klammern
		//da nur ein parameter, können klammern weglassen werden 
		Lambda lambda = name -> System.out.println(name + " Hallo Lambda3213");
		lambda.tueetwas("Obai sagt: ");
		
		
		// mit klammern
		Lambda lambda2 = name -> {
			
			System.out.println("Hallo Lambda1");
			System.out.println("Hallo Lambda2");
		};
		lambda2.tueetwas("Obai sagt: ");
		

	}
}
